"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useCopilotMessageFooter_unstable", {
    enumerable: true,
    get: function() {
        return useCopilotMessageFooter_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _reactprovider = require("@fluentui-copilot/react-provider");
const useCopilotMessageFooter_unstable = (props, ref)=>{
    const mode = (0, _reactprovider.useCopilotMode)(props.mode);
    // We only need the divider in canvas mode and when the slots we need to differentiate are present
    const shouldShowDivider = mode === 'canvas' && !!props.responseCount && (!!props.feedback || !!props.aiDisclaimer);
    return {
        mode,
        components: {
            root: 'div',
            aiDisclaimer: 'span',
            content: 'div',
            divider: _reactcomponents.Divider,
            feedback: 'span',
            referenceList: 'div',
            referenceListToggle: 'span',
            responseCount: 'span',
            sensitivity: 'span',
            sensitivityDisclaimerContainer: 'span'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref,
            ...props
        }), {
            elementType: 'div'
        }),
        content: _reactcomponents.slot.optional(props.content, {
            elementType: 'div',
            defaultProps: {
                children: props.children
            },
            renderByDefault: !!props.children
        }),
        responseCount: _reactcomponents.slot.optional(props.responseCount, {
            elementType: 'span'
        }),
        feedback: _reactcomponents.slot.optional(props.feedback, {
            elementType: 'span'
        }),
        aiDisclaimer: _reactcomponents.slot.optional(props.aiDisclaimer, {
            elementType: 'span'
        }),
        referenceList: _reactcomponents.slot.optional(props.referenceList, {
            elementType: 'div'
        }),
        referenceListToggle: _reactcomponents.slot.optional(props.referenceListToggle, {
            elementType: 'span'
        }),
        divider: _reactcomponents.slot.optional(shouldShowDivider ? props.divider : undefined, {
            elementType: _reactcomponents.Divider,
            defaultProps: {
                vertical: true
            },
            renderByDefault: shouldShowDivider
        }),
        sensitivity: _reactcomponents.slot.optional(props.sensitivity, {
            elementType: 'span'
        }),
        sensitivityDisclaimerContainer: _reactcomponents.slot.optional(props.sensitivityDisclaimerContainer, {
            elementType: 'span',
            renderByDefault: !!props.sensitivity || !!props.aiDisclaimer
        })
    };
}; //# sourceMappingURL=useCopilotMessageFooter.js.map
