"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useUserMessage_unstable", {
    enumerable: true,
    get: function() {
        return useUserMessage_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reactsharedcontexts = require("@fluentui/react-shared-contexts");
const _useMessageAttributes = require("../../utils/useMessageAttributes");
const useUserMessage_unstable = (props, ref)=>{
    const { announcement, accessibleHeading } = props;
    const messageId = (0, _reactcomponents.useId)('user-message-', props.id);
    const rootRef = _react.useRef(null);
    const { announce } = (0, _reactsharedcontexts.useAnnounce_unstable)();
    const { id, ...copilotChatAttributes } = (0, _useMessageAttributes.useMessageAttributes)({
        id: messageId
    });
    _react.useEffect(()=>{
        announcement && announce(announcement, {
            batchId: id
        });
    }, [
        announce,
        announcement,
        id
    ]);
    return {
        components: {
            root: 'div',
            accessibleHeading: 'h5'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('div', {
            ref: (0, _reactcomponents.useMergedRefs)(rootRef, ref),
            id,
            ...copilotChatAttributes,
            ...props
        }), {
            elementType: 'div'
        }),
        accessibleHeading: _reactcomponents.slot.optional(accessibleHeading, {
            defaultProps: {
                children: 'You said: '
            },
            elementType: 'h5',
            renderByDefault: true
        })
    };
}; //# sourceMappingURL=useUserMessage.js.map
