import { useFocusableGroup, useTabsterAttributes } from '@fluentui/react-tabster';
export const useMessageAttributes = ({
  contentId,
  headingId,
  defaultFocused
}) => {
  // Initialize groupper
  useFocusableGroup();
  const accessibleProps = {
    role: 'article',
    tabIndex: 0,
    'aria-labelledby': `${headingId} ${contentId}`
  };
  const tabsterProps = useTabsterAttributes({
    groupper: {
      tabbability: 2 /*limitedTrapFocus*/
    },
    focusable: {
      isDefault: defaultFocused
    }
  });
  return {
    ...accessibleProps,
    ...tabsterProps
  };
};
//# sourceMappingURL=useMessageAttributes.js.map